GLOBAL.package.loaded["unik.modenv"] = env

PrefabFiles = {
	"unik",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/unik.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/unik.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/unik.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/unik.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/unik_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/unik_silho.xml" ),

    Asset( "IMAGE", "bigportraits/unik.tex" ),
    Asset( "ATLAS", "bigportraits/unik.xml" ),
	
    Asset( "IMAGE", "images/map_icons/unik.tex" ),
    Asset( "ATLAS", "images/map_icons/unik.xml" ),
    
    Asset( "IMAGE", "images/avatars/avatar_unik.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_unik.xml" ),
	
    Asset( "IMAGE", "images/avatars/avatar_ghost_unik.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_unik.xml" ),

}

-- strings! Any "unik" below would have to be replaced by the prefab name of your character.
-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.unik = "Unikitty"
GLOBAL.STRINGS.CHARACTER_NAMES.unik = "unik"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.unik = "*Fast\n*Cheery\n*Short Tempered"
GLOBAL.STRINGS.CHARACTER_QUOTES.unik = "\"Hi! I am Princess Unikitty!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.unik = {}
GLOBAL.STRINGS.CHARACTERS.unik.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.unik.DESCRIBE.EVERGREEN = "A template description of a tree."


-- Let the game know unik is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "unik")

AddMinimapAtlas("images/map_icons/unik.xml")
AddModCharacter("unik")
